View Issue Details

IDProjectCategoryView StatusLast Update
0001044SymmetricDSBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.3.0 
Target Version3.3.1Fixed in Version3.3.1 
Summary0001044: Map of semaphores used to prevent concurrent extraction of individual batches are not cleaned up
DescriptionMap of semaphores used to prevent concurrent extraction of individual batches are not cleaned up. Could cause an OOM eventually. It took me 14 million semaphores to cause an OOM using default JVM heap settings. Only effects data extraction in SymmetricDS (not dbexport).
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master d0a8d53c

2013-02-12 15:38:06

chenson

Details Diff
0001044: Map of semaphores used to prevent concurrent extraction of individual batches are not cleaned up
0001044
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

Issue History

Date Modified Username Field Change
2013-02-12 15:37 chenson New Issue
2013-02-12 15:37 chenson Status new => assigned
2013-02-12 15:37 chenson Assigned To => chenson
2013-02-12 15:38 chenson Status assigned => resolved
2013-02-12 15:38 chenson Fixed in Version => 3.3.1
2013-02-12 15:38 chenson Resolution open => fixed
2013-02-13 08:24 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6857
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master d0a8d53c